Bug 1017300 - Spice Vdagent: Large File Transfer: Leaves the Guest unusable for ~1min [NEEDINFO]
Spice Vdagent: Large File Transfer: Leaves the Guest unusable for ~1min
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-vdagent (Show other bugs)
6.5
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Default Assignee for SPICE Bugs
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 11:16 EDT by Vimal Patel
Modified: 2014-06-13 10:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 10:57:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cfergeau: needinfo? (vipatel)


Attachments (Terms of Use)

  None (edit)
Description Vimal Patel 2013-10-09 11:16:05 EDT
Description of problem:
I tried to transfer a large video (450MB) from the client (Win7) to the guest (RHEL6.5), and the guest was unusable for around a minute while the file was being transferred, trying to type in a terminal in the guest, pixels refreshing can be seen very clearly as it updates the whole terminal window, which takes seconds.

Version-Release number of selected component (if applicable):
Client Windows 7:
mingw-virt-viewer-0.5.6-6.el6_4

Host: 
RHEL6.5Snap1(RHEL6.5-20130925.2)
spice-server-0.12.4-3.el6.x86_64
qemu-kvm-0.12.1.2-2.406.el6.x86_64
libvirt-0.10.2-27.el6.x86_64

Guest:
RHEL6.5Snap1(RHEL6.5-20130925.2)
spice-vdagent-0.14.0-2.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Transfer a large file from client to guest
2.
3.

Actual results:
Transfer is successfully but guest is unusable for 1min.

Expected results:
Transfer is successful and guest is usable during the transfer process.

Additional info:
Comment 2 RHEL Product and Program Management 2013-10-13 21:41:53 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Christophe Fergeau 2014-04-09 09:44:10 EDT
Just tried this with a 3GB file, and the VM was responsive. Transfer took 10+ minutes but was successful (md5sum matches). This was over a LAN. Could it be that the file transfer saturated the link between client and host? Are you still seeing this issue?
Comment 4 David Blechter 2014-06-13 10:57:06 EDT
close based on Comment #3

Note You need to log in before you can comment on or make changes to this bug.